net.sf.jasperreports.engine.design

## Class JRDesignFont

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseFont
  - - net.sf.jasperreports.engine.design.JRDesignFont

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRFont, JRStyleContainer

      public class JRDesignFont
      extends JRBaseFont

  Version:
    $Id: JRDesignFont.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_STYLE`
    `static java.lang.String` | `PROPERTY_STYLE_NAME_REFERENCE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseFont

      `fontName, fontsize, isBold, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, pdfEncoding, pdfFontName, PROPERTY_BOLD, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_ITALIC, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_REPORT_FONT, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, style, styleContainer, styleNameReference`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignFont()` Deprecated. To be removed.
    `JRDesignFont(JRStyleContainer styleContainer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setStyle(JRStyle style)`
    `void` | `setStyleNameReference(java.lang.String styleNameReference)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseFont

      `clone, getDefaultStyleProvider, getEventSupport, getFontName, getFontsize, getFontSize, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getPdfEncoding, getPdfFontName, getStyle, getStyleNameReference, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_STYLE

          public static final java.lang.String PROPERTY_STYLE

      See Also:
        Constant Field Values

    - #### PROPERTY_STYLE_NAME_REFERENCE

          public static final java.lang.String PROPERTY_STYLE_NAME_REFERENCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignFont

          public JRDesignFont()

      Deprecated. To be removed.

    - #### JRDesignFont

          public JRDesignFont(JRStyleContainer styleContainer)

  - ### Method Detail

    - #### setStyle

          public void setStyle(JRStyle style)

    - #### setStyleNameReference

          public void setStyleNameReference(java.lang.String styleNameReference)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com